/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
var ExcelLocaleRu = /** @class */ (function () {
    function ExcelLocaleRu() {
        this["DefaultTotalLabel"] = "Итоговая сумма";
        this["Error_AnchoredReference"] = "Attempt to access {0} as an unanchored reference";
        this["Error_ExplicitThis"] = "{0} - Explicit This not supported";
        this["Error_ExternalRange"] = "Range contains External Reference";
        this["Error_FormulaNotSupported"] = "{0} - Attempt to access formula on a reference that doesn't support formulas";
        this["Error_Internal"] = "An internal error occurred in method {0}.";
        this["Error_InvalidFunction"] = "Invalid function '{0}' at {1}.";
        this["Error_InvalidFunctionArgCountTooFew"] = "The function '{0}' referenced at {1} does not contain the correct number of arguments. The function requires a minimum of {2} parameter(s).";
        this["Error_InvalidFunctionArgCountTooMany"] = "The function '{0}' referenced at {1} does not contain the correct number of arguments. The argument count should not exceed {2} parameter(s).";
        this["Error_InvalidNumberSystemDigit"] = "Invalid digit of '{0}' encountered in the value '{1}' for the number system with base of {2}.";
        this["Error_InvalidOperand"] = "Invalid Operand";
        this["Error_InvalidOperatorArgCount"] = "The '{0}' function must accept {1} arguments.";
        this["Error_InvalidReference"] = "Invalid or unavailable reference";
        this["Error_Location"] = "line {0} col {1}";
        this["Error_MethodNotSupported"] = "{0} does not support {1}.";
        this["Error_NoCurrentRangeElement"] = "No current Range Element";
        this["Error_NullFunctionResult"] = "The evaluation of '{0}' returned a null value.";
        this["Error_NullOperand"] = "Null operand";
        this["Error_ParseRef"] = "Unknown reference at {0}.";
        this["Error_RangeFromLast"] = "fromT.Last not set";
        this["Error_RangeFromNull"] = "RefRange: from is null";
        this["Error_RangeFromRefBase"] = "RefRange: from is not a RefBase : {0}";
        this["Error_RangeLast"] = "RefRange Validate: last tuples [{0}] != [{1}]";
        this["Error_RangeNormalizeScope"] = "RefRange Normalize: bad scope [{0}/{1}]";
        this["Error_RangeToNull"] = "RefRange: to is null";
        this["Error_RangeToRefBase"] = "RefRange: to is not a RefBase : {0}";
        this["Error_RangeTuple"] = "RefRange Validate: tuples [{0}] !=  [{1}]";
        this["Error_RangeValidateCount"] = "RefRange Validate: from count {0} != to count {1}";
        this["Error_ReadOnlyReference"] = "{0} - Attempt to set value on readonly reference";
        this["Error_ReferenceNotEumerable"] = "{0} is not an enumerable reference";
        this["Error_RefMalformed"] = "{0} - Malformed Reference  {1}";
        this["Error_RP_ContainsBase"] = "RefParser.Contains - Empty Base";
        this["Error_RP_ContainsTarget"] = "RefParser.Contains - Empty Target";
        this["Error_RP_EmptyElement"] = "Invalid reference {0}. Empty element encountered at location {1}.";
        this["Error_RP_EmptyReference"] = "Invalid reference {0}. Reference is empty.";
        this["Error_RP_MalformedExtra"] = "RefParser Malformed Reference: Multiple [{0}] found in [{1}]";
        this["Error_RP_MalformedUnexpected"] = "RefParser Malformed Reference: Unexpected [{0}] found in [{1}]";
        this["Error_RP_MergeRelativeBase"] = "RefParser.Merge: Base is Relative";
        this["Error_RP_MissingCloseParenthesis"] = "Invalid reference {0}. Missing close parenthesis.";
        this["Error_RP_MissingEndQuotes"] = "Invalid reference {0}. Missing end quotes.";
        this["Error_RT_Expected"] = "RefTuple: Expected [{0}] in [{1}]";
        this["Error_RT_InvalidScope"] = "Invalid scope: {0}.";
        this["Error_RT_InvalidScope_CharactersAfterClosingQuotes"] = "Characters encountered after closing double quotes in {0} scope at location {1}.";
        this["Error_RT_InvalidTuple_CharactersAfterScopeEnd"] = "Invalid element {0}. Characters encountered after the end of the scope.";
        this["Error_RT_InvalidTuple_MissingCloseParenthesis"] = "Invalid element {0}. Missing close parenthesis.";
        this["Error_RT_InvalidTuple_MissingEndQuotes"] = "Invalid element {0}. Missing end quotes.";
        this["Error_RT_InvalidTuple_NamePortionEmpty"] = "Invalid element {0}. Element name portion empty.";
        this["Error_RT_InvalidTuple_ScopeIndexLarge"] = "Invalid element {0}. Index {1} is invalid: {2}.";
        this["Error_RT_InvalidTuple_UnescapedCharacter"] = "Unescaped {0} character encountered in {1} at location {2}.";
        this["Error_RT_NullRefName"] = "RefTuple: null RefName";
        this["Error_RT_Unexpected"] = "RefTuple: unexpected [{0}] in [{1}]";
        this["Error_ScopeAllNotLast"] = "{0} - Scope All must appear in last element  {1}";
        this["Error_UCErrorCode_Div"] = "Divide by zero";
        this["Error_UCErrorCode_Fail"] = "Fail";
        this["Error_UCErrorCode_NA"] = "Not applicable";
        this["Error_UCErrorCode_Name"] = "Invalid name";
        this["Error_UCErrorCode_Null"] = "Null Value";
        this["Error_UCErrorCode_Num"] = "Invalid numeric values in the function or formula.";
        this["Error_UCErrorCode_Ok"] = "Succeed";
        this["Error_UCErrorCode_Reference"] = "Invalid or unavailable reference";
        this["Error_UCErrorCode_Unknown"] = "Invalid code";
        this["Error_UCErrorCode_Value"] = "Incorrect type of argument or operand.";
        this["Error_UnexpectedScope"] = "{0} - Unexpected scope for Parent {1}";
        this["Error_UnknownRange"] = "Unknown Range Type";
        this["Error_UnknownRefType"] = "{0} - Unknown RefType  {1}";
        this["Error_UnknownScope"] = "{0} - Unknown scope  {1}";
        this["Error_UnresolvedExternal"] = "Unresolved external reference";
        this["GenerateTableColumnName"] = "Столбец";
        this["GenerateTableName"] = "Таблица";
        this["LE_AllMustHavGuidsIfAnyHasThem"] = "Can not set GenerateGuidsForGroups to false if any existing group has a Guid.";
        this["LE_ArgumentException_AnchorCellFromOtherWorksheet"] = "Указанная ячейка не существует на том же самом листе, что фигура.";
        this["LE_ArgumentException_ArrayFormulaMustHaveSingleRegion"] = "Формула массива может применяться только к одной области ячеек.";
        this["LE_ArgumentException_ArrayTooSmall"] = "Массив недостаточно велик для копирования в него всех значений.";
        this["LE_ArgumentException_CannotAddStandardTableStyle"] = "В коллекцию CustomTableStyleCollection нельзя добавить стиль стандартной таблицы.";
        this["LE_ArgumentException_CannotApplyDVRuleToTotalCell"] = "Одна или несколько ячеек в заданной ссылке являются ячейками подсчета общей суммы в таблице, и к ним не может быть применено правило подтверждения данных.";
        this["LE_ArgumentException_CannotCreateEmptyColorInfo"] = "Для создания экземпляра WorkbookColorInfo не может применяться пустой параметр цвета.";
        this["LE_ArgumentException_CellMustBeOnSameWorksheetAsReferencesCollection"] = "Ячейка должна принадлежать к тому же самому листу, что и коллекция по ссылке.";
        this["LE_ArgumentException_CellShiftedOffWorksheet"] = "Ячейка удалена или сдвинута за пределы листа и больше не относится к допустимому диапазону ячеек.";
        this["LE_ArgumentException_CellsInTableFromOtherWorksheet"] = "Указанная область не принадлежит к той же самой таблице, что и таблица данных.";
        this["LE_ArgumentException_CellValueStringLength"] = "Длина присваиваемых ячейке строчных значений не может превышать {0}.";
        this["LE_ArgumentException_ColumnFormulaAlreadyAppliedToCell"] = "Формула уже применяется к ячейке. Клонируйте ее, чтобы использовать в качестве формулы для столбца.";
        this["LE_ArgumentException_ColumnFromDifferentWorksheet"] = "Столбец не принадлежит к тому же листу, что эта коллекция.";
        this["LE_ArgumentException_ColumnInputCellFromOtherWorksheet"] = "Указанная ячейка подстановки значений по столбцам не существует на том же самом листе, что и таблица данных.";
        this["LE_ArgumentException_ColumnNotInTable"] = "Столбец из другой таблицы.";
        this["LE_ArgumentException_ColumnRemovedFromWorksheet"] = "Столбец удален с листа.";
        this["LE_ArgumentException_ColumnsToRepeatAtLeftOutsideRange"] = "Диапазон находится за пределами диапазона доступных столбцов на листе.";
        this["LE_ArgumentException_CommentTooLong"] = "Длина комментария должна быть меньше 255 символов.";
        this["LE_ArgumentException_CustomViewNameAlreadyExists"] = "Пользовательский вид с именем \"{0}\" уже существует.";
        this["LE_ArgumentException_DefaultTableStyleNotInWorkbook"] = "Указанный стиль таблицы не принадлежит к коллекциям CustomTableStyles или StandardTableStyles.";
        this["LE_ArgumentException_DisplayTextTooLong"] = "Длина отображаемого текста гиперссылки должна быть меньше 256 символов.";
        this["LE_ArgumentException_DuplicateDisplayValue"] = "Указанное отображаемое значение уже находится в коллекции.";
        this["LE_ArgumentException_DuplicateFixedDateGroup"] = "Указанное значение FixedDateGroup уже находится в коллекции.";
        this["LE_ArgumentException_DuplicateTableStyle"] = "Указанный стиль уже присутствует в коллекции CustomTableStyleCollection.";
        this["LE_ArgumentException_DuplicateTableStyleName_Existing"] = "Указанное имя, которое соответствует другому стилю в коллекции.";
        this["LE_ArgumentException_DuplicateTableStyleName_New"] = "Указанный стиль имеет имя, которое соответствует другому стилю в коллекции.";
        this["LE_ArgumentException_DuplicateWorksheetProtectedRangeTitle"] = "Диапазон с заголовком '{0}' уже существует.";
        this["LE_ArgumentException_DV_ArrayFormulaCannotBeUsed"] = "ArrayFormula не может применяться как {0}.";
        this["LE_ArgumentException_DV_CellFromOtherWorksheet"] = "Ячейка не принадлежит к тому же листу, что и коллекция правил подтверждения данных.";
        this["LE_ArgumentException_DV_ConstraintFormulaMustBeNumberOrReference"] = "В качестве значения {0} необходимо задать число, численное выражение или ссылку на отдельную ячейку.";
        this["LE_ArgumentException_DV_FormulaCannotBeNull"] = "Для {0} нельзя задать нулевое значение, в то время как к листу применено правило подтверждения данных.";
        this["LE_ArgumentException_DV_FormulaCannotFindNamedReference"] = "{0} содержит именованную ссылку, которая не существует в книге.";
        this["LE_ArgumentException_DV_FormulaCannotFindWorksheetReference"] = "{0} содержит ссылку на лист, который не существует в книге.";
        this["LE_ArgumentException_DV_FormulaCannotReferenceOtherWorkbook"] = "{0} не может содержать ссылку на внешнюю книгу.";
        this["LE_ArgumentException_DV_FormulaInvalidForWorkbookFormat"] = "Ячейки ссылок {0}, которые недопустимы в формате книги {1}.";
        this["LE_ArgumentException_DV_InvalidAddress"] = "Указанный адрес не является допустимым адресом ячейки или областей.";
        this["LE_ArgumentException_DV_InvalidExcelDate"] = "Указанная дата не может быть представлена в Excel.";
        this["LE_ArgumentException_DV_InvalidFormula"] = "В правиле подтверждения данных используется недопустимая формула.";
        this["LE_ArgumentException_DV_InvalidMessageLength"] = "Длина {0} не может превышать {1} символов.";
        this["LE_ArgumentException_DV_ListFormulaCannotHaveEmptyString"] = "Строковая константа в ValuesFormula не может быть пустой строкой.";
        this["LE_ArgumentException_DV_ListFormulaMustBeStringOrReference"] = "В качестве значения ValuesFormula необходимо задать строковую константу или ссылку на отдельную ячейку или регион в той же самой книге.";
        this["LE_ArgumentException_DV_ListFormulaReferenceMustBeOneDimensional"] = "ValuesFormula содержит ссылку на регион, в котором имеется несколько строк и столбцов. Регион должен содержать одну строку или один столбец.";
        this["LE_ArgumentException_DV_LowerGreaterThanUpperContraint"] = "Значение нижнего ограничения должно быть меньше или равно верхнему ограничению.";
        this["LE_ArgumentException_DV_MustHaveOneAcceptedValue"] = "В качестве приемлемого значения должно быть задано хотя бы одно значение.";
        this["LE_ArgumentException_DV_ReferencesAlreadyContainDVs"] = "Указанные ссылки уже содержат одно или несколько правил подтверждения данных.";
        this["LE_ArgumentException_DV_ReferencesFromOtherWorksheet"] = "Коллекция ссылок не принадлежит к тому же листу, что и коллекция правил подтверждения данных.";
        this["LE_ArgumentException_DV_RegionFromOtherWorksheet"] = "Область не принадлежит к тому же листу, что и коллекция правил подтверждения данных.";
        this["LE_ArgumentException_DV_RuleAppliedOnOtherWorksheet"] = "Правило подтверждения данных уже применяется к другому листу.";
        this["LE_ArgumentException_DV_UpperLessThanLowerContraint"] = "Значение верхнего ограничения должно быть больше или равно нижнему ограничению.";
        this["LE_ArgumentException_EditRangeAlreadyOwned"] = "Диапазон уже принадлежит к объекту AllowedEditRanges листа.";
        this["LE_ArgumentException_EditRangeHasRangeFromOtherWorksheet"] = "В диапазоне редактирования находится диапазон с другого листа, а не с того, где находится объект AllowedEditRanges.";
        this["LE_ArgumentException_EmptyCustomList"] = "В списке должна быть хотя бы одна строка.";
        this["LE_ArgumentException_EndIndexLessThanZero"] = "Конечное значение диапазона должно быть больше или равно нулю.";
        this["LE_ArgumentException_FileDoesntContainsWorkbookStream"] = "Указанный поток или файл не содержит допустимой книги.";
        this["LE_ArgumentException_FormulaReferencesInvalidCells"] = "Указанные ячейки со ссылками на формулы, которые не поддерживаются в текущем формате файла книги.";
        this["LE_ArgumentException_HashSetFull"] = "В наборе хэша слишком много элементов.";
        this["LE_ArgumentException_HyperlinkAlreadyOwned"] = "Гиперссылка уже принадлежит к коллекции гиперссылок.";
        this["LE_ArgumentException_HyperlinkSourceFromOtherWorksheet"] = "Гиперссылка имеет источником ячейку или область, находящиеся на другом листе.";
        this["LE_ArgumentException_HyperlinkTargetFromOtherWorkbook"] = "Целевое значение находится в другой книге, отличной от книги владельца гиперссылки.";
        this["LE_ArgumentException_InfiniteColumnWidth"] = "Ширина столбца не может быть бесконечной.";
        this["LE_ArgumentException_Interval"] = "Параметр интервала должен иметь одно из значений в перечислении DateInterval";
        this["LE_ArgumentException_IntervalStr"] = "Параметр интервала не может быть преобразован в одно из значений в перечислении DateInterval";
        this["LE_ArgumentException_InvalidCellAddress"] = "Указанный адрес не является допустимым адресом ячейки.";
        this["LE_ArgumentException_InvalidCommentPositioningMode"] = "К комментируемой фигуре можно применять только функции DontMoveOrSizeWithCells или MoveAndSizeWithCells ShapePositioningModes.";
        this["LE_ArgumentException_InvalidCustomFilterOperandNumber"] = "Значение не может быть бесконечным или NaN.";
        this["LE_ArgumentException_InvalidCustomFilterOperator"] = "Когда значение для сравнения не является строкой, то в качестве оператора сравнения не может использоваться BeginsWith, DoesNotBeginWith, Contains, DoesNotContain, EndsWith или DoesNotEndWith.";
        this["LE_ArgumentException_InvalidDatePeriodFilterValue"] = "Значение находится за пределами допустимого диапазона. Для фильтра типа \"Месяц\", должно быть задано 1-12. Для фильтра типа \"Квартал\", должно быть задано 1-4.";
        this["LE_ArgumentException_InvalidDpi"] = "Указано недопустимое значение Dpi.";
        this["LE_ArgumentException_InvalidExcelDate"] = "Значение не может выражаться как дата в Excel.";
        this["LE_ArgumentException_InvalidFileFormat"] = "Недопустимый или нераспознанный формат файла.";
        this["LE_ArgumentException_InvalidFormula"] = "Была задана недопустимая формула.";
        this["LE_ArgumentException_InvalidGradientStopColor"] = "В узлах градиента не могут использоваться автоматически сгенерированные и системные цвета.";
        this["LE_ArgumentException_InvalidNamedReferenceName"] = "Имя не является допустимым именем для имени по ссылке.";
        this["LE_ArgumentException_InvalidPaletteColor_EmptyOrSystem"] = "В палитру нельзя добавлять пустые или системные цвета.";
        this["LE_ArgumentException_InvalidPaletteColor_NonOpaque"] = "В палитру можно добавлять только непрозрачные цвета.";
        this["LE_ArgumentException_InvalidReferencesString"] = "Значение ссылок имеет некорректный формат.";
        this["LE_ArgumentException_InvalidRegionAddress"] = "Указанный адрес не является допустимым адресом области.";
        this["LE_ArgumentException_InvalidRowOrColumnRange"] = "Недопустимый диапазон строк или столбцов.";
        this["LE_ArgumentException_InvalidSeriesValues"] = "Invalid series values. There must be at least one value and each value must either be a string or an object that can be converted to a double.";
        this["LE_ArgumentException_InvalidTarget"] = "Целевым значением гиперссылки должна быть строка, объект WorksheetCell, WorksheetRegion или NamedReference.";
        this["LE_ArgumentException_InvalidTopOrBottomFilterValue"] = "Значение должно находиться в диапазоне от 1 до 500.";
        this["LE_ArgumentException_InvalidWorksheetName"] = "Имя листа не может содержать следующие символы: : \\ / ? * [ ]";
        this["LE_ArgumentException_InvalidWorksheetNameStartingQuote"] = "Имя листа не может начинаться или заканчиваться одиночным символом кавычек.";
        this["LE_ArgumentException_LessThanTwoGradientStops"] = "Необходимо, чтобы были заданы хотя бы два узла градиента.";
        this["LE_ArgumentException_NamedReferenceNameTooLong"] = "Длина имени именованной ссылки не может превышать 255 символов.";
        this["LE_ArgumentException_NaNDefaultColumnWidth"] = "NaN нельзя использовать как ширину столбца по умолчанию.";
        this["LE_ArgumentException_NewRegionOverlapsFilterArea"] = "Операция пытается изменить отфильтрованный диапазон на вашем листе и не может быть завершена. Для завершения этой операции нужно удалить AutoFilters на листе.";
        this["LE_ArgumentException_NewTableRegionCannotMoveHeaders"] = "Новая область таблицы не может переместить заголовки в новую строку.";
        this["LE_ArgumentException_NewTableRegionFromWrongWorksheet"] = "Указанная область не принадлежит к той же самой области, что и таблица.";
        this["LE_ArgumentException_NewTableRegionMustHaveDataRows"] = "Новая область таблицы должна содержать хотя бы одну строку данных.";
        this["LE_ArgumentException_NewTableRegionOverlapOld"] = "Новая область таблицы должна перекрываться с предыдущей областью таблицы.";
        this["LE_ArgumentException_NewTableRegionOverlapsBlockingValue"] = "Для таблицы нельзя изменить размер в соответствии с указанной областью, поскольку она включает формулу массива для нескольких ячеек или таблицу данных.";
        this["LE_ArgumentException_NewTableRegionOverlapsMergedRegion"] = "Для таблицы нельзя изменить размер в соответствии с указанной областью, поскольку она объединенную ячейку.";
        this["LE_ArgumentException_NewTableRegionOverlapsOtherTable"] = "Для таблицы нельзя изменить размер в соответствии с указанной областью, поскольку она включает другую таблицу.";
        this["LE_ArgumentException_NoRegionsInArray"] = "В указанном массиве нет областей.";
        this["LE_ArgumentException_NotEnum"] = "Тип '{0}' не является перечислением";
        this["LE_ArgumentException_NotSupportedCodePage"] = "Неподдерживаемая кодовая страница";
        this["LE_ArgumentException_NPer"] = "nPer не может равняться 0";
        this["LE_ArgumentException_NPerFunction"] = "Неверное сочетание параметров для функции NPer";
        this["LE_ArgumentException_PA_PrintAreasCannotOverlap"] = "Указанная область печати перекрывается с одной из существующих областей печати.";
        this["LE_ArgumentException_ParentStyleFromOtherWorkbook"] = "Указанный стиль не относится к той же самой книге, что и формат ячейки.";
        this["LE_ArgumentException_PB_CantInsertBreakAtIndex"] = "В этой коллекции не поддерживается вставка элементов в индекс.";
        this["LE_ArgumentException_PB_CantSetBreakAtIndex"] = "В этой коллекции не поддерживается настройка элементов в индексе.";
        this["LE_ArgumentException_PB_MustBeWithinPrintArea"] = "Разрыв страницы должен находиться в области печати.";
        this["LE_ArgumentException_PB_PageBreakCantBeA1Cell"] = "Не удается вставить разрыв страницы сверху слева листа.";
        this["LE_ArgumentException_PB_PageBreakCantBeBeforeLeftColumn"] = "Не удается вставить разрыв страницы слева листа.";
        this["LE_ArgumentException_PB_PageBreakCantBeBeforeTopRow"] = "Не удается вставить разрыв страницы сверху листа.";
        this["LE_ArgumentException_PB_PageBreaksCannotAddExistingInstance"] = "The specified instance already exists in the collection.";
        this["LE_ArgumentException_PB_PageBreaksCannotOverlap"] = "Разрыв страницы не может перекрываться с другими разрывами страницы на листе.";
        this["LE_ArgumentException_PB_PrintAreaMustBeInPrintAreas"] = "Разрыв страницы находится в области печати, которая не принадлежит к коллекции PrintAreas.";
        this["LE_ArgumentException_PB_PrintAreaMustBeOnSameWorksheet"] = "Разрыв страницы находится в области печати, которая находится не на том же самом листе, что коллекция разрывов страниц.";
        this["LE_ArgumentException_Pmt"] = "Pmt не может равняться 0";
        this["LE_ArgumentException_PrintAreaShiftedOffWorksheet"] = "Разрыв страницы находится в области печати, которая сдвинута за пределы листа и больше не относится к допустимому диапазону ячеек.";
        this["LE_ArgumentException_RangeFromOtherWorksheetThanProtectedRange"] = "Указанный диапазон находится на другом листе, а не на том, где находится диапазон редактирования.";
        this["LE_ArgumentException_RegionMustBeOnSameWorksheet"] = "Область должна принадлежать к тому же листу.";
        this["LE_ArgumentException_RegionMustBeOnSameWorksheetAsReferencesCollection"] = "Область должна принадлежать к тому же самому листу, что и коллекция по ссылке.";
        this["LE_ArgumentException_RegionsFromMixedWorksheets"] = "Все области, заданные в массиве, должны принадлежать к одному и тому же листу.";
        this["LE_ArgumentException_RegionShiftedOffWorksheet"] = "Область сдвинута за пределы листа и больше не относится к допустимому диапазону ячеек.";
        this["LE_ArgumentException_RegionsShiftedOffWorksheet"] = "Одна или несколько областей сдвинуты за пределы листа и больше не относятся к допустимому диапазону ячеек.";
        this["LE_ArgumentException_RowFromDifferentWorksheet"] = "Строка не принадлежит к тому же листу, что эта коллекция.";
        this["LE_ArgumentException_RowInputCellFromOtherWorksheet"] = "Указанная ячейка подстановки значений по строкам не существует на том же самом листе, что и таблица данных.";
        this["LE_ArgumentException_RowRemovedFromWorksheet"] = "Строка удалена с листа.";
        this["LE_ArgumentException_SelectedWorksheetFromOtherWorkbook"] = "Лист не принадлежит к книге, связанной с этими параметрами окна.\"";
        this["LE_ArgumentException_ShapeCannotBeAdded"] = "Указанная фигура не может быть добавлена в коллекцию фигур.";
        this["LE_ArgumentException_SourceFromOtherWorksheetThanHyperlink"] = "Указанный источник в виде ячейки или области находится на другом листе, а не на том, где находится гиперссылка.";
        this["LE_ArgumentException_StartIndexLessThanZero"] = "Начальное значение диапазона должно быть больше или равно нулю.";
        this["LE_ArgumentException_StyleNameAlreadyExists"] = "В книге уже существует стиль с именем \"{0}\".";
        this["LE_ArgumentException_StyleNameTooLong"] = "Длина имени стиля не может превышать 255 символов.";
        this["LE_ArgumentException_TableColumnRemovedFromTable"] = "Столбец таблицы удален из таблицы.";
        this["LE_ArgumentException_TableStyleFromOtherWorkbook"] = "Указанный стиль WorksheetTableStyle не принадлежит к той же самой книге, что и таблица.";
        this["LE_ArgumentException_TargetTooLong"] = "Длина адреса целевого значения гиперссылки должна быть меньше 256 символов.";
        this["LE_ArgumentException_TextLengthGreaterThanMax"] = "Длина текста в фигуре или комментарии не может превышать {0}.";
        this["LE_ArgumentException_ToolTipTooLong"] = "Длина подсказки гиперссылки должна быть меньше 256 символов.";
        this["LE_ArgumentException_TopLeftWindowBounds"] = "Левая и верхняя границы окна должны находиться в диапазоне от -32768 до 32767.";
        this["LE_ArgumentException_WeekdayFirst"] = "Параметр WeekdayFirst должен иметь значение от FirstDayOfWeek.System до FirstDayOfWeek.Saturday";
        this["LE_ArgumentException_WidthHeightWindowBounds"] = "Ширина и высота границ окна должны находиться в диапазоне от 0 до 65535.";
        this["LE_ArgumentException_WorksheetNameAlreadyExists"] = "В книге уже существует лист с именем \"{0}\".";
        this["LE_ArgumentException_WorksheetNameTooLong"] = "Длина имени книги должна составлять от 1 до 31 символов.";
        this["LE_ArgumentException_WorksheetProtectedRangeTitleTooLong"] = "Длина заголовка диапазона редактирования не может превышать 255 символов.";
        this["LE_ArgumentException_WorksheetScopeFromOtherWorkbook"] = "Лист не принадлежит к той же самой книге, что эта коллекция.";
        this["LE_ArgumentNullException_AnchorCell"] = "Ячейка не может быть нулевой, когда на листе или в группе имеется фигура.";
        this["LE_ArgumentNullException_CustomViewName"] = "Имя пользовательского вида не может быть нулевым или пустым.";
        this["LE_ArgumentNullException_Encoder"] = "Кодировщик изображения не может быть нулевым.";
        this["LE_ArgumentNullException_FindNamedReference"] = "Имя для поиска не может быть нулевым или пустым.";
        this["LE_ArgumentNullException_FormulaCantBeNull"] = "Формула для именованной ссылки не может быть нулевой или пустой.";
        this["LE_ArgumentNullException_HiddenColumn"] = "В коллекцию не может быть добавлен нулевой столбец.";
        this["LE_ArgumentNullException_HiddenRow"] = "В коллекцию не может быть добавлена нулевая строка.";
        this["LE_ArgumentNullException_Image"] = "Изображение не может быть нулевым.";
        this["LE_ArgumentNullException_NamedReferenceNameCantBeNull"] = "Имя именованной ссылки не может быть нулевым или пустым.";
        this["LE_ArgumentNullException_SaveStream"] = "Не удается сохранить книгу в нулевом потоке.";
        this["LE_ArgumentNullException_SelectedWorksheet"] = "В книге должен быть допустимый выделенный лист.";
        this["LE_ArgumentNullException_Shape"] = "В коллекцию не может быть добавлена нулевая фигура.";
        this["LE_ArgumentNullException_SourceFont"] = "Шрифт источника не может быть нулевым.";
        this["LE_ArgumentNullException_SourceFormatting"] = "Форматирование источника не может быть нулевым.";
        this["LE_ArgumentNullException_StyleName"] = "Имя стиля не может быть нулевым или пустым.";
        this["LE_ArgumentNullException_UnformattedString"] = "Неформатированная строка не может быть нулевой.";
        this["LE_ArgumentNullException_Workbook"] = "Книга не может быть нулевой.";
        this["LE_ArgumentNullException_WorkbookRequiredToResolveThemeColor"] = "Для определения цвета темы необходимо указать книгу.";
        this["LE_ArgumentNullException_WorksheetName"] = "Имя листа не может быть нулевым или пустым.";
        this["LE_ArgumentNullException_WorksheetProtectedRangeTitleCantBeNull"] = "Заголовок диапазона редактирования не может быть нулевым или пустым.";
        this["LE_ArgumentNullException_WorksheetScope"] = "Область листа не может быть нулевой.";
        this["LE_ArgumentOutOfRange_RelativeColumnIndex"] = "Относительный индекс столбца находится вне указанной области.";
        this["LE_ArgumentOutOfRange_RelativeRowIndex"] = "Относительный индекс строки находится вне указанной области.";
        this["LE_ArgumentOutOfRangeException_AnchorPosition"] = "Один из процентных коэффициентом в указанном месте размещения меньше 0.";
        this["LE_ArgumentOutOfRangeException_BadInsertIndex"] = "Указанный индекс должен быть больше или равен нулю или меньше или равен числу существующих параграфов.";
        this["LE_ArgumentOutOfRangeException_BadRemoveAtIndex"] = "Индекс должен быть больше нуля и меньше числа параграфов в форматируемой строке.";
        this["LE_ArgumentOutOfRangeException_CollectionIndex"] = "Индекс вышел за пределы диапазона. Он не должен быть отрицательным и не должен превышать размер коллекции.";
        this["LE_ArgumentOutOfRangeException_ColumnWidth"] = "Ширина столбца должна находиться в диапазоне от 0 до 65535.";
        this["LE_ArgumentOutOfRangeException_DefaultColumnWidth"] = "Ширина столбца по умолчанию находиться в диапазоне от 0 до 65535.";
        this["LE_ArgumentOutOfRangeException_DefaultFontHeight"] = "Высота шрифта по умолчанию должна находиться в диапазоне от 20 до 8180.";
        this["LE_ArgumentOutOfRangeException_DefaultRowHeight"] = "Высота строки по умолчанию должна находиться в диапазоне от -1 до 8192.";
        this["LE_ArgumentOutOfRangeException_DuplicateItemSorted"] = "К указанному элементу уже применено условие сортировки.";
        this["LE_ArgumentOutOfRangeException_FirstVisibleTabIndex"] = "Индекс первой видимой вкладки должен быть больше или равен нулю.";
        this["LE_ArgumentOutOfRangeException_FontHeight"] = "Высота шрифта должна находиться в диапазоне от 20 до 8180.";
        this["LE_ArgumentOutOfRangeException_GroupAddedToSelf"] = "Группу нельзя добавить в ее собственную коллекцию фигур.";
        this["LE_ArgumentOutOfRangeException_Indent"] = "Уровень отступа должен находиться в диапазоне от 0 до 250.";
        this["LE_ArgumentOutOfRangeException_IndexNegative"] = "Индекс должен быть неотрицательным.";
        this["LE_ArgumentOutOfRangeException_InvalidCollectionIndex"] = "Указанный индекс недопустим в коллекции.";
        this["LE_ArgumentOutOfRangeException_InvalidColorInfoTint"] = "Значение оттенка должно находиться в диапазоне от -1,0 до 1,0.";
        this["LE_ArgumentOutOfRangeException_InvalidColumnCount"] = "{0} не является допустимым показателем подсчета столбцов в текущем формате. Значение должно находиться в диапазоне от {1} до {2}.";
        this["LE_ArgumentOutOfRangeException_InvalidColumnIndex"] = "{0} не является допустимым индексом столбцов в текущем формате. Значение должно находиться в диапазоне от {1} до {2}.";
        this["LE_ArgumentOutOfRangeException_InvalidGradientStopOffset"] = "Значение узла градиента по умолчанию должно находиться в диапазоне от 0,0 до 1,0.";
        this["LE_ArgumentOutOfRangeException_InvalidRelativeRectangleValueForGradient"] = "Значения для внутреннего прямоугольника прямоугольного градиента должны находиться в диапазоне от 0,0 до 1,0.";
        this["LE_ArgumentOutOfRangeException_InvalidRemoveAtIndex_SortConditions"] = "Индекс, который определяет удаление условия сортировки, находится за пределами допустимого диапазона.";
        this["LE_ArgumentOutOfRangeException_InvalidRowCount"] = "{0} не является допустимым показателем подсчета строк в текущем формате. Значение должно находиться в диапазоне от {1} до {2}.";
        this["LE_ArgumentOutOfRangeException_InvalidRowIndex"] = "{0} не является допустимым индексом строк в текущем формате. Значение должно находиться в диапазоне от {1} до {2}.";
        this["LE_ArgumentOutOfRangeException_InvalidTableStyleAreaStripeExtent"] = "Значение {0} должно находиться в диапазоне от 1 до 9 включительно.";
        this["LE_ArgumentOutOfRangeException_LeftPaneWidth"] = "Заданная ширина области находится за пределами допустимого диапазон от {0} до {1}.";
        this["LE_ArgumentOutOfRangeException_LengthMustBePositive"] = "Длина должна быть больше или равна ему.";
        this["LE_ArgumentOutOfRangeException_MagnificationLevel"] = "Уровни увеличения вида должны находиться в диапазоне от 10 до 400.";
        this["LE_ArgumentOutOfRangeException_Margins"] = "Значения полей должны находиться в диапазоне от 0 до 100.";
        this["LE_ArgumentOutOfRangeException_MaxPagesHorizontally"] = "Максимальное количество страниц по горизонтали должно находиться в диапазоне от 0 до 32767.";
        this["LE_ArgumentOutOfRangeException_MaxPagesVertically"] = "Максимальное количество страниц по вертикали должно находиться в диапазоне от 0 до 32767.";
        this["LE_ArgumentOutOfRangeException_MaxRecursionIterations"] = "Максимальное количество итераций рекурсии должно находиться в диапазоне от 1 до 32767.";
        this["LE_ArgumentOutOfRangeException_MaxSortConditions"] = "В коллекции не может быть более {0} условий сортировки.";
        this["LE_ArgumentOutOfRangeException_NegativeStartIndex"] = "Начальный индекс не может быть отрицательным.";
        this["LE_ArgumentOutOfRangeException_NumberOfCopies"] = "Число копий должно находиться в диапазоне от 1 до 65535.";
        this["LE_ArgumentOutOfRangeException_Per"] = "Значение per должно находиться в диапазоне от 0 до nPer + 1";
        this["LE_ArgumentOutOfRangeException_Rate"] = "Значение Rate должно быть больше -1";
        this["LE_ArgumentOutOfRangeException_Resolution"] = "Разрешение должно находиться в диапазоне от 0 до 65535.";
        this["LE_ArgumentOutOfRangeException_RowHeight"] = "Высота строки должна находиться в диапазоне от 0 до 8192.";
        this["LE_ArgumentOutOfRangeException_ScalingFactor"] = "Коэффициент масштабирования должен находиться в диапазоне от 10 до 400.";
        this["LE_ArgumentOutOfRangeException_StartPageNumber"] = "Номер начальной страницы должен находиться в диапазоне от -32765 до 32767.";
        this["LE_ArgumentOutOfRangeException_TabBarWidth"] = "Ширина панели вкладки должна находиться в диапазоне от 0 до 1000.";
        this["LE_ArgumentOutOfRangeException_TopPaneHeight"] = "Заданная высота области находится за пределами допустимого диапазон от {0} до {1}.";
        this["LE_AutoColorNotAllowed"] = "The color can not be 'Auto'.";
        this["LE_Axis_MajorMinorUnit"] = "The value of the majorUnit parameter must be greater than the value of the minorUnit parameter.";
        this["LE_Axis_NoCrossAxis"] = "If the CrossAxis property is set on one Axis object, it must be set on all of them. If your chart has only two axes, the crossing axis can be automatically determined, but only if the CrossAxis proeprty is left unset on all Axis objects.";
        this["LE_Axis_NoCrossAxis1"] = "Ако свойството CrossAxis бъде зададено на един Axis обект, то трябва да бъде зададено и на всички тях. Ако Вашата диаграма има две оси пресичащите се оси могат да бъдат определени веднага, но само ако CrossAxis свойството е оставено незададено на всички Axis обекти.";
        this["LE_Biff8SerializerNotLoaded"] = "Для формата '{0}' требуется сериализатор, который не загружен, в JavaScript он содержится в файле infragistics.excel_serialization_biff8.js";
        this["LE_ChartGradientFill_EmptyStops"] = "Must contain at least one gradient stop.";
        this["LE_ChartGradientFill_EmptyStops1"] = "Трябва да съдържа поне един градиентен стоп.";
        this["LE_ChartObject_DifferentChart"] = "The object instance being assigned is associated with a different chart, and cannot be assigned to this instance.";
        this["LE_ColumnsToRepeatAtLeftAreOutsideAvailableRange"] = "В параметрах печати имеются столбцы, которые повторяются слева и находятся за пределами доступных столбцов в новом формате.";
        this["LE_ComboChartGroupCollection_DoesNotExist"] = "The specified ComboChartGroup does not exist in this collection.";
        this["LE_FillPercentInvalid"] = "The value {0} is not a valid value for the {1} property.";
        this["LE_FormatLimitError_Indent"] = "Величина отступа превышает максимальное значение {0}, определяемое текущим форматом.";
        this["LE_FormatLimitError_MacroWorkbook"] = "В книге имеется код VBA, и она не может быть сохранена как книга, в которой разрешены макросы.";
        this["LE_FormatLimitError_MaxColumnIndex"] = "Индекс столбца {0} превышает максимальное значение {1}, определяемое указанным форматом.";
        this["LE_FormatLimitError_MaxRowIndex"] = "Индекс строки {0} превышает максимальное значение {1}, определяемое указанным форматом.";
        this["LE_FormulaParseException_ArrayContainsConstants"] = "Массив может содержать только выражения с константами.";
        this["LE_FormulaParseException_ArrayHasEmptyFirstRow"] = "Массив констант в формуле не содержит элементов в первой строке.";
        this["LE_FormulaParseException_ArrayHasMisalignedRows"] = "Массив констант в формуле содержит строки с нарушением совмещения. Каждая строка в массиве должна иметь одно и то же число столбцов.";
        this["LE_FormulaParseException_CellReferenceAfterWorkbookName"] = "За ссылкой на внешнюю книгу должна следовать именованная ссылка, но не ссылка на ячейку.";
        this["LE_FormulaParseException_ExtraExpressions"] = "В формуле имеются дополнительные выражения после ее конца.";
        this["LE_FormulaParseException_FunctionMissingClosingParen"] = "Функция в формуле не содержит закрывающей скобки.";
        this["LE_FormulaParseException_FunctionNestingTooDeep"] = "Функция в формуле слишком глубоко встроена в другие функции.";
        this["LE_FormulaParseException_IncorrectNumberOfArguments"] = "Функция в формуле не имеет корректного числа аргументов.";
        this["LE_FormulaParseException_InvalidArguments"] = "Оператор или функция в формуле имеет недопустимые аргументы.";
        this["LE_FormulaParseException_InvalidConditionalFormatFormula"] = "A conditional format formula cannot use reference operators such as unions or intersections, array constants or structured table references.";
        this["LE_FormulaParseException_InvalidConditionalFormatFormula1"] = "Формулата за условно форматиране не може да използва оператор на референциите като обединяване или пресичане, масивни константи, или структурирани таблични референции.";
        this["LE_FormulaParseException_InvalidErrorValue"] = "Указан недопустимый тип ошибки. Необходимо использовать одно из выражений: \"#NULL!\", \"#DIV/0!\", \"#VALUE!\", \"#REF!\", \"#NAME?\", \"#NUM!\" или \"#N/A\".";
        this["LE_FormulaParseException_InvalidFileNameInBrackets"] = "Недопустимое имя файла между квадратными скобками.";
        this["LE_FormulaParseException_InvalidStructuredTableReference"] = "Структурированная ссылка на таблицу некорректна.";
        this["LE_FormulaParseException_InvalidWorkbookName"] = "Ссылка на книгу в кавычках не является допустимым именем файла книги.";
        this["LE_FormulaParseException_InvalidWorksheetName"] = "Недопустимое имя книги.";
        this["LE_FormulaParseException_MacroFunctionNotAllowed"] = "The '{0}' functions is only valid in a named reference.";
        this["LE_FormulaParseException_Message_PortionWithError"] = "Часть с ошибкой: {0}";
        this["LE_FormulaParseException_MissingArgumentAfterBinary"] = "Отсутствует операнд после бинарного оператора в формуле.";
        this["LE_FormulaParseException_MissingArgumentAfterParen"] = "За открывающие скобкой не следует выражение.";
        this["LE_FormulaParseException_MissingArgumentAfterUnary"] = "После унитарного оператора в формуле не следует допустимое выражение.";
        this["LE_FormulaParseException_MissingArgumentBeforeBinary"] = "Отсутствует операнд перед бинарным оператором в формуле.";
        this["LE_FormulaParseException_NamedReferenceRefsNeedSheetName"] = "Все ссылки на ячейки в именованной формуле по ссылке должны идентифицироваться на листе.";
        this["LE_FormulaParseException_NoElementAfterArraySerapator"] = "После разделителя элементов в формуле отсутствует элемент массива.";
        this["LE_FormulaParseException_NoEqualsSign"] = "Формула должна начинаться со знака равенства.";
        this["LE_FormulaParseException_NoExclamationAfterWorkbookName"] = "За ссылкой на книгу должен следовать восклицательный знак.";
        this["LE_FormulaParseException_NoExclamationAfterWorksheetName"] = "За ссылкой на лист должен следовать восклицательный знак.";
        this["LE_FormulaParseException_NoExpressions"] = "Формула не содержит допустимого выражения после знака равенства.";
        this["LE_FormulaParseException_NoFileNameAfterBracket"] = "После открывающей квадратной скобки ожидалось допустимое имя файла.";
        this["LE_FormulaParseException_NoValidTermAfterWorkbookName"] = "За ссылкой на внешнюю книгу должна следовать именованная ссылка.";
        this["LE_FormulaParseException_NoValidTermAfterWorksheetName"] = "За ссылкой на лист должна следовать ячейка или именованная ссылка.";
        this["LE_FormulaParseException_NoWorksheetAfterWorkbookName"] = "За именем файла в квадратных скобках должно следовать имя листа.";
        this["LE_FormulaParseException_StringConstantLengthTooLong"] = "Указанная формула не может содержать строку длиннее {0} символов.";
        this["LE_FormulaParseException_TooLong"] = "Максимальная длина формулы не может превышать {0} для указанного формата книги.";
        this["LE_FormulaParseException_UnknownFunction"] = "Функция в формуле не имеет допустимого имени функции.";
        this["LE_FormulaParseException_UnmatchedOpenBracket"] = "После массива констант в формуле отсутствует закрывающая скобка.";
        this["LE_FormulaParseException_UnmatchedOpenParen"] = "Открывающей скобке в формуле не соответствует соответствующая закрывающая скобка.";
        this["LE_FormulaParseException_UnmatchedOpenSquareBracket"] = "После имени файла книги ожидалась закрывающая квадратная скобка.";
        this["LE_FormulaParseException_WorkbookNameMissingEndQuote"] = "В ссылке на книгу отсутствует закрывающая кавычка.";
        this["LE_FormulaParseException_WorksheetRangeMissingEndingName"] = "В диапазоне листов не указано имя второго листа.";
        this["LE_GradientStop_InvalidPosition"] = "Must specify a number between 0 and 1.";
        this["LE_GradientStop_InvalidPosition1"] = "Трябва да бъде зададено число между 0 и 1.";
        this["LE_IconSetInvalid"] = "'IconSetNoIcon' — недопустимая настройка свойства IconSet.";
        this["LE_IndexOutOfRangeException_ArrayBounds"] = "Индекс находился за пределами границ массива.";
        this["LE_InvalidEnumArgumentException_DefaultPatternCannotBeUsed"] = "FillPatternStyle по умолчанию не может использоваться для создания CellFillPattern.";
        this["LE_InvalidLineWeight"] = "LineWeight must not be less than 0 or greater than 1584.";
        this["LE_InvalidOperationException_AnchorCommentBeforeApplyingToCell"] = "Для комментария должен быть задан как параметр TopLeftCornerCell, так и BottomRightCornerCell, или же оба они должны быть нулевыми до применения к некоторой ячейке.";
        this["LE_InvalidOperationException_AnchorShapeBeforeAddingToCollection"] = "Для фигуры должна быть задана как TopLeftCornerCell, так и BottomRightCornerCell, прежде чем она будет добавлена на лист или в группу.";
        this["LE_InvalidOperationException_ArrayFormulaAlreadyApplied"] = "Формула массива уже применяется к области ячеек. Сначала очистите имеющуюся область ячеек.";
        this["LE_InvalidOperationException_ArrayFormulaAppliedInTable"] = "Формулы массива не могут применяться к области, где присутствует какая-либо таблица.";
        this["LE_InvalidOperationException_ArrayFormulaInMergedCell"] = "Формулы массива неприменимы в объединенных ячейках.";
        this["LE_InvalidOperationException_BottomRightAnchorFromOtherWorksheet"] = "Добавление фигуры в эту коллекцию приведет к ее размещению на другом листе, отличном от того, где находится BottomRightCornerCell.";
        this["LE_InvalidOperationException_BuiltInStyleNameCannotBeChanged"] = "Имя встроенного стиля не может быть изменено.";
        this["LE_InvalidOperationException_CannotAddColorsToPaletteDirectly"] = "В палитру WorkbookColorPalette не могут быть добавлены цвета. Чтобы задать цвет для определенного индекса, используйте индексатор.";
        this["LE_InvalidOperationException_CannotAddParagraphDirectly"] = "Параграфы не могут добавляться непосредственно.";
        this["LE_InvalidOperationException_CannotAddTableDirectly"] = "Экземпляры WorksheetTable не могут быть вставлены непосредственно в коллекцию. Используйте метод Add.";
        this["LE_InvalidOperationException_CannotAddTableToRemovedWorksheet"] = "Таблицы не могут быть добавлены на лист, который удален из собственной книги.";
        this["LE_InvalidOperationException_CannotApplyFilterWhileHeaderRowIsHidden"] = "Фильтр не может быть применен, когда строка заголовка таблицы скрыта.";
        this["LE_InvalidOperationException_CannotApplyFilterWhileUIIsHidden"] = "Фильтр не может быть применен, когда элемент UI фильтра скрыт.";
        this["LE_InvalidOperationException_CannotInsertTableRow_LossOfData"] = "Элемент {0} нельзя вставить, поскольку при этом произойдет сдвиг данных за пределы нижнего края листа.";
        this["LE_InvalidOperationException_CannotInsertTableRow_LossOfObject"] = "Элемент {0} нельзя вставить, поскольку при этом произойдет сдвиг формы или комментария за пределы нижнего края листа.";
        this["LE_InvalidOperationException_CannotInsertTableRow_SplitBlockingValue"] = "Элемент {0} нельзя вставить, поскольку при этом произойдет сдвиг ячеек в формулу массива или таблицу данных.";
        this["LE_InvalidOperationException_CannotInsertTableRow_SplitMergedRegion"] = "Элемент {0} нельзя вставить, поскольку при этом произойдет сдвиг ячеек в объединенную область.";
        this["LE_InvalidOperationException_CannotInsertTableRow_SplitTable"] = "Элемент {0} нельзя вставить, поскольку при этом произойдет сдвиг ячеек в другую таблицу.";
        this["LE_InvalidOperationException_CannotInsertTableRow_TableOnBottomOfWorksheet"] = "Элемент {0} нельзя вставить, поскольку таблица находится внизу листа.";
        this["LE_InvalidOperationException_CannotModifyKeysCollection"] = "В коллекцию Keys нельзя вносить изменения.";
        this["LE_InvalidOperationException_CannotModifyStandardTableStyle"] = "В стандартные стили таблиц нельзя вносить изменения.";
        this["LE_InvalidOperationException_CannotModifyValuesCollection"] = "В коллекцию Values нельзя вносить изменения.";
        this["LE_InvalidOperationException_CannotMoveDisconnectedWorksheet"] = "Лист не может быть перемещен, поскольку он не принадлежит к книге.";
        this["LE_InvalidOperationException_CannotRemoveColorsToPaletteDirectly"] = "Из палитры WorkbookColorPalette нельзя удалять цвета. Используйте метод Reset для очистки всех пользовательских цветов .";
        this["LE_InvalidOperationException_CannotRemoveNormalStyle"] = "Стиль Normal нельзя удалить.";
        this["LE_InvalidOperationException_CannotSetParentStyleOnStyle"] = "Этот стиль не может быть задан для формата, который принадлежит к другому стилю.";
        this["LE_InvalidOperationException_CannotShift_LossOfData"] = "Данные нельзя сдвинуть за пределы листа.";
        this["LE_InvalidOperationException_CannotShift_LossOfObject"] = "Объекты нельзя сдвинуть за пределы листа.";
        this["LE_InvalidOperationException_CannotShift_SplitBlockingValue"] = "Формулу массива или таблицу данных нельзя сдвинуть внутрь.";
        this["LE_InvalidOperationException_CannotShift_SplitMergedRegion"] = "Объединенную область нельзя сдвинуть внутрь.";
        this["LE_InvalidOperationException_CannotShift_SplitTable"] = "Таблицу нельзя сдвинуть внутрь.";
        this["LE_InvalidOperationException_CantAddChartInChart"] = "A chart cannot be added to the Shapes collection of another chart.";
        this["LE_InvalidOperationException_CantAddCustomView"] = "Пользовательские виды нельзя добавлять непосредственно в коллекцию.";
        this["LE_InvalidOperationException_CantAddDataTable"] = "Таблицы данных нельзя добавлять непосредственно.";
        this["LE_InvalidOperationException_CantAddMergedRegion"] = "Области объединенных ячеек не могут добавляться непосредственно.";
        this["LE_InvalidOperationException_CantAddNamedReference"] = "Именованные ссылки нельзя добавлять непосредственно.";
        this["LE_InvalidOperationException_CantAddWorksheet"] = "Листы нельзя добавлять непосредственно в коллекцию.";
        this["LE_InvalidOperationException_CantApplyRemovedCustomView"] = "Пользовательский вид не может быть применен, если он был удален из коллекции пользовательских видов книги.";
        this["LE_InvalidOperationException_CantChangeArrayFormula"] = "Ячейки формулы массива не могут быть изменены.";
        this["LE_InvalidOperationException_CantChangeDataTable"] = "Внутренние ячейки таблицы данных не могут быть изменены.";
        this["LE_InvalidOperationException_CantModifyCollection"] = "В эту коллекцию нельзя вносить изменения.";
        this["LE_InvalidOperationException_CantOverlapArrayFormula"] = "Область объединенных ячеек не может перекрываться с областью формулы массива.";
        this["LE_InvalidOperationException_CantOverlapDataTableInterior"] = "Область объединенных ячеек не может перекрываться с ячейками в таблице данных, если он распространяется за пределы верхней строки или самого левого столбца этих ячеек.";
        this["LE_InvalidOperationException_CantSaveEditRangeWithoutRange"] = "В AllowedEditRanges для листов должен быть хотя бы один диапазон.";
        this["LE_InvalidOperationException_CantSaveWithNoVisibleWorksheets"] = "В книге должен быть видимым хотя бы один лист.";
        this["LE_InvalidOperationException_CantSaveWithNoWorksheets"] = "Книгу без листов нельзя сохранить";
        this["LE_InvalidOperationException_CantSetCircularityErrorDirectly"] = "Величина циклической ошибки не может применяться непосредственно к ячейкам.";
        this["LE_InvalidOperationException_CantSetDataTableDirectly"] = "Таблицы данных нельзя задавать как значения для ячеек.";
        this["LE_InvalidOperationException_CantSetFormulaDirectly"] = "Формулы нельзя задавать непосредственно в ячейке, вместо этого в используйте для формул метод ApplyFormula или один из методов ApplyTo.";
        this["LE_InvalidOperationException_CellsInTableMinSize"] = "Диапазон ячеек в таблице данных должен состоять хотя бы из двух ячеек в каждом измерении.";
        this["LE_InvalidOperationException_ChartNotSupported"] = "WorksheetChart modifications are not supported in this format.";
        this["LE_InvalidOperationException_ClearUnknownShapeData"] = "Никакие данные для этой фигуры не известны, вместо этого удалите фигуру из коллекции.";
        this["LE_InvalidOperationException_CollectionLongerThanMaxValue"] = "Коллекция содержит больше записей, чем допускается заданным максимальным значением.";
        this["LE_InvalidOperationException_CollectionModifiedWhileEnumerating"] = "В коллекцию были внесены изменения в процессе перечисления.";
        this["LE_InvalidOperationException_CurrentTableRowAddressNeedsOriginCell"] = "Для синтаксического анализа структурированной ссылки на таблицу с использованием текущей строки необходимо указать исходную ячейку.";
        this["LE_InvalidOperationException_CustomViewNoVisibleWorksheets"] = "В пользовательском виде с именем \"{0}\" должен быть видимым хотя бы один лист.";
        this["LE_InvalidOperationException_DataTableAppliedInTable"] = "Таблица данных не может находиться в области, где присутствует какая-либо таблица.";
        this["LE_InvalidOperationException_DataTableFormulaCannotBeApplied"] = "Формула таблицы данных не может применяться непосредственно к ячейкам.";
        this["LE_InvalidOperationException_DataTableInMergedCell"] = "Внутренние ячейки таблицы данных не могут принадлежать к области объединенных ячеек.";
        this["LE_InvalidOperationException_DataTableRemoved"] = "Ячейки подстановки значений по строкам и столбцам не могут настраиваться после удаления таблицы данных из таблицы.";
        this["LE_InvalidOperationException_DeprecatedFillColorSetWithGradientFill"] = "Цвет шаблона заполнения нельзя задать, когда для ячейки установлен градиент.";
        this["LE_InvalidOperationException_EncryptedWorkbooksNotSupported"] = "Загружаемая книга зашифрована. Зашифрованные книги не поддерживаются.";
        this["LE_InvalidOperationException_ExtensionDoesntMatchCurrentFormat"] = "Имя файла, под которым должен быть сохранен файл, имеет расширение, которое не соответствует текущему формату книги.";
        this["LE_InvalidOperationException_FixedValuesFilterMustAcceptAValue"] = "Не допускается использование параметра FixedValuesFilter, для которого было бы разрешено отсутствие значения.";
        this["LE_InvalidOperationException_FormattedStringAlreadyOwned"] = "Форматированная строка уже является значением другой ячейки или комментария. Сначала клонируйте его и примените клон к новой ячейке или фигуре.";
        this["LE_InvalidOperationException_FormattedStringNotOwned"] = "К свойствам шрифта нельзя получить доступ, когда к ячейке или фигуре не применяется форматированная строка или текст.";
        this["LE_InvalidOperationException_FormattedTextAlreadyOwned"] = "Форматированная строка уже является значением другой фигуры. Сначала клонируйте его и примените клон к новой ячейке или фигуре.";
        this["LE_InvalidOperationException_FormulaAlreadyOwned"] = "Формула уже применяется к другой ячейке.";
        this["LE_InvalidOperationException_FormulaReferencesInvalidCells"] = "Ячейки со ссылками на формулы, которые не поддерживаются в текущем формате файла книги.";
        this["LE_InvalidOperationException_GetBoundsBeforeAnchorsSet"] = "Фигура не имела границ до того, как были заданы опорные ячейки.";
        this["LE_InvalidOperationException_HiddenWorksheetCannotBeSelected"] = "Скрытый лист не может быть выбран.";
        this["LE_InvalidOperationException_HyperlinkSealed"] = "В эту гиперссылку нельзя вносить изменения.";
        this["LE_InvalidOperationException_ImageDisposed"] = "Некоторый объект Image из WorksheetImage был освобожден или является недопустимым.";
        this["LE_InvalidOperationException_InputCellsBothNull"] = "Ячейки подстановки значений по столбцам и подстановки значений по строкам не могут быть нулевыми одновременно.";
        this["LE_InvalidOperationException_InputCellsInTable"] = "Ячейки подстановки значений не могут находиться среди ячеек таблицы данных.";
        this["LE_InvalidOperationException_InputCellsSame"] = "Ячейка подстановки значений по столбцам и ячейка подстановки значений по строкам не могут совпадать.";
        this["LE_InvalidOperationException_InvalidCharacterRange"] = "Диапазон символов, на которые распространяется действие шрифта в форматированной строке, больше не существует.";
        this["LE_InvalidOperationException_InvalidFormatOptionsInWholeTableArea"] = "Указанное значение формата FormatOptions является недопустимым в области таблицы WholeTable.";
        this["LE_InvalidOperationException_InvalidFormatString"] = "Недопустимая строка в указанном формате.";
        this["LE_InvalidOperationException_InvalidFormatString_GetTextCall"] = "Недопустимая строка формата ячейки. Чтобы получать уведомления, когда задана строка FormatString, установите для параметра Workbook.ValidateFormatStrings значение True.";
        this["LE_InvalidOperationException_InvalidForWorkbookFormat"] = "Недопустимая формула для указанного формата.";
        this["LE_InvalidOperationException_InvalidHeaderCellColumnAreaFormatProperty"] = "В формате области столбца таблицы HeaderCell нельзя задать значения верхней границы.";
        this["LE_InvalidOperationException_InvalidHeaderRowAreaFormatProperty"] = "В формате области таблицы HeaderRow нельзя задать значения верхней границы.";
        this["LE_InvalidOperationException_InvalidTableStyleAreaFontProperty"] = "Значение шрифта {0} не может быть задано в областях стиля таблицы.";
        this["LE_InvalidOperationException_InvalidTableStyleAreaFormatOptions"] = "Указанное значение формата FormatOptions является недопустимым в областях стиля таблицы.";
        this["LE_InvalidOperationException_InvalidTableStyleAreaFormatProperty"] = "Значение формата {0} не может быть задано в областях стиля таблицы.";
        this["LE_InvalidOperationException_InvalidTotalsCellColumnAreaFormatProperty"] = "В формате области столбца таблицы TotalCell нельзя задать значения нижней границы.";
        this["LE_InvalidOperationException_InvalidTotalsRowAreaFormatProperty"] = "В формате области таблицы TotalsRow нельзя задать значения нижней границы.";
        this["LE_InvalidOperationException_InvalidWholeTableAreaFormatProperty"] = "В формате области таблицы WholeTable можно задать только значения границ по краям.";
        this["LE_InvalidOperationException_LastColumnBeforeFirst"] = "Последний столбец в области должен быть больше или равен первому столбцу.";
        this["LE_InvalidOperationException_LastRowBeforeFirst"] = "Последняя строка в области должна быть больше или равной первой строке.";
        this["LE_InvalidOperationException_MaxCellFormats"] = "Максимальное количество уникальных форматов ячеек в файле Excel: {0}";
        this["LE_InvalidOperationException_MaxColors"] = "Максимальное количество цветов в книге Excel: {0}";
        this["LE_InvalidOperationException_MaxColumns"] = "Максимальное количество столбцов на листе Excel в текущем формате: {0}";
        this["LE_InvalidOperationException_MaxFonts"] = "Число шрифтов в книге не может превышать {0}.";
        this["LE_InvalidOperationException_MaxFormattedStrings"] = "Число уникальных строк в книге не может превышать {0}.";
        this["LE_InvalidOperationException_MaxRows"] = "Максимальное количество строк на листе Excel в текущем формате: {0}";
        this["LE_InvalidOperationException_MergedCellCrossesDataTableLeftColumn"] = "Самый левый столбец ячеек, заданный для таблицы данных, содержит область объединенных ячеек, который распространяется за пределы области этих ячеек.";
        this["LE_InvalidOperationException_MergedCellCrossesDataTableTopLeftCell"] = "Самая верхняя и левая ячейка, заданная для таблицы данных, является частью объединенной ячейки, которая распространяется за пределы области этих ячеек.";
        this["LE_InvalidOperationException_MergedCellCrossesDataTableTopRow"] = "Самая верхняя строка ячеек, заданная для таблицы данных, содержит область объединенных ячеек, который расширяется за пределы области этих ячеек.";
        this["LE_InvalidOperationException_MergedCellsAppliedInTable"] = "Ячейки в пределах таблицы не могут быть объединены.";
        this["LE_InvalidOperationException_NamedReferenceNameAlreadyExists"] = "Имя \"{0}\" используется в таблице или именованной ссылке в книге в данной области.";
        this["LE_InvalidOperationException_NoRegionHasBeenSpecified"] = "Не указана область.";
        this["LE_InvalidOperationException_NoWorksheetContextToSetShapeBounds"] = "Эта перегрузка метода Add не может быть вызвана, когда коллекция фигур не ассоциирована с некоторым листом. Вызовите перегрузку метода Add, в котором задействуется экземпляр листа.";
        this["LE_InvalidOperationException_OverlappingTable"] = "В указанной области имеется другая таблица.";
        this["LE_InvalidOperationException_ReadOnlyFont"] = "Объект шрифта предназначен только для чтения и не может быть изменен.";
        this["LE_InvalidOperationException_ReadOnlyFormat"] = "Объект формата предназначен только для чтения и не может быть изменен.";
        this["LE_InvalidOperationException_RelativeR1C1AddressNeedsOriginCell"] = "Для выполнения синтаксического анализа относительного адреса R1C1 необходимо указать исходную ячейку.";
        this["LE_InvalidOperationException_ResizedTableMustBeOnWorksheet"] = "Таблица должна находиться на листе, размер которого подлежит изменению.";
        this["LE_InvalidOperationException_ResolvedFormatCannotBeModified"] = "Формат ячейки с устраненным конфликтом предназначен только для чтения и не может быть изменен.";
        this["LE_InvalidOperationException_ShapeCantChangeOrientation"] = "Эта фигура не может быть подвергнута повороту или отражению.";
        this["LE_InvalidOperationException_ShapeFillSolidIsImmutable"] = "ShapeFillSolid является неизменяемым параметром. Вместо этого создайте новый параметр ShapeFillSolid.";
        this["LE_InvalidOperationException_ShapeInAnotherCollection"] = "Фигура уже существует в другой таблице или группе фигур.";
        this["LE_InvalidOperationException_ShapeOutlineSolidIsImmutable"] = "ShapeOutlineSolid является неизменяемым параметром. Вместо этого создайте новый параметр ShapeOutlineSolid.";
        this["LE_InvalidOperationException_ShowFilterUIWhileHeaderRowHidden"] = "Элемент UI фильтра не может быть показан, когда скрыта строка заголовка.";
        this["LE_InvalidOperationException_SystemColorsAccessedFromWrongThread"] = "Не удается получить доступ к SystemColors из фонового потока.";
        this["LE_InvalidOperationException_TableReferenceMustBeUsedFromInsideTable"] = "В формуле имеется структурированная ссылка на таблицу, которая может использоваться только внутри таблицы.";
        this["LE_InvalidOperationException_TableReferenceToMissingTable"] = "В формуле имеется ссылка на таблицу, которая не существует.";
        this["LE_InvalidOperationException_TableReferenceToMissingTableColumn"] = "В формуле имеется ссылка на столбец таблицы, который не существует.";
        this["LE_InvalidOperationException_TopLeftAnchorFromOtherWorksheet"] = "Добавление фигуры в эту коллекцию приведет к ее размещению на другом листе, отличном от того, где находится TopLeftCornerCell.";
        this["LE_InvalidOperationException_TotalsRowCannotBeShownInLastRow"] = "Строка итоговых сумм не может быть показана, когда таблица занимает последнюю строку на листе.";
        this["LE_InvalidOperationException_UnknownBIFFFormat"] = "Файл книги имел неизвестный формат BIFF.";
        this["LE_InvalidOperationException_UnsupportedBIFFFormat"] = "Файл книги был сохранен в {0} в формате, который не поддерживается.";
        this["LE_InvalidOperationException_WorkbookDataViolatesFormatLimits"] = "Книга содержит данные, объем которых превышает пределы, допустимые для указанного формата.";
        this["LE_InvalidRegion"] = "Invalid region address.";
        this["LE_InvalidValueType"] = "'{0}' — недопустимое значение свойства ValueType.";
        this["LE_LocationNotSingleRowOrColumn"] = "Location reference is not valid because the cells are not all in the same column or row. Select cells that are all in a single column or row.";
        this["LE_LocationOrDataAreaInvalid"] = "The reference for the location or data range is not valid.";
        this["LE_LocationWorksheetMismatch"] = "Location must be from this worksheet.";
        this["LE_NotSingleTargetFormula"] = "Могут поддерживаться только формулы с одним целевым значением.";
        this["LE_NotSupportedException_CellType"] = "{0} не является поддерживаемым типом значения ячейки.";
        this["LE_NotSupportedException_NoPackageFactory"] = "Параметр packageFactory не может быть нулевым. При загрузке из книги формата Excel2007 и использовании сборки Infragistics2.Documents.Excel вы должны обеспечить доступ к IPackageFactory для обращения с упакованными данными. Если вы используете DotNet Framework 3.0 или более новой версии, применяйте вместо этого сборку Infragistics3.Documents.Excel, и операции упаковки будут осуществляться классом WindowsBase.";
        this["LE_OpenPackagingNonConformanceException_ContainsDublinCoreRefinements"] = "IPackagePart определяет взаимоотношения между свойствами ядра и содержит уточнения к элементам Dublin Core (Дублинского ядра), отличным от 'dcterms:created' и 'dcterms:modified'.";
        this["LE_OpenPackagingNonConformanceException_ContainsXmlLanguageAttribute"] = "IPackagePart определяет взаимоотношения между свойствами ядра и содержит элементы, которые содержат атрибут 'xml:lang'.";
        this["LE_OpenPackagingNonConformanceException_CorePropertiesRelationshipAlreadyProcessed"] = "IPackagePart определяет взаимоотношения между свойствами ядра, но обработка ассоциированного пакета IPackage уже выполнена.";
        this["LE_OpenPackagingNonConformanceException_DuplicatePartName"] = "IPackagePart с тем же самым именем уже принадлежит к этому интерфейсу IPackage. IPackage не может содержать частей с идентичными именами. Учтите, что проверка дублирующихся значений не чувствительная к реестру.";
        this["LE_OpenPackagingNonConformanceException_UsesMarkupCompatibilityNamespace"] = "Интерфейс IPackagePart определяет взаимоотношения между ключевыми свойствами и использует Markup Compatibility Namespace (Пространство имен, совместимое с разметкой).";
        this["LE_OpenPackagingNonConformanceException_XmlContainsDocumentTypeDefinition"] = "Интерфейс IPackagePart содержал декларацию DTD (Document Type Definition – Определение типа документа). Правила Open Packaging Convention (Открытого соглашения об упаковке) запрещают использование содержимого XML с декларациями DTD.";
        this["LE_OpenPackagingNonConformanceException_XsiTypeAttributeInvalid"] = "IPackagePart определяет взаимоотношения между свойствами ядра и содержит элементы, которые содержат атрибут 'xsi:type', или содержит обязательные элементы, которые не содержат атрибута 'xsi:type'.";
        this["LE_OpenXmlSerializerNotLoaded"] = "Для формата '{0}' требуется сериализатор, который не загружен, в JavaScript он содержится в файле infragistics.excel_serialization_openxml.js";
        this["LE_PercentageValueOutOfRange"] = "The percentage value {0} must be between 0 and 100.";
        this["LE_PercentileValueOutOfRange"] = "The percentile value {0} must be between 0 and 100.";
        this["LE_PercentRangeInvalid"] = "The {0} must be less than the {1}.";
        this["LE_RowsToRepeatAtTopAreOutsideAvailableRange"] = "В параметрах печати имеются строки, которые повторяются сверху и находятся за пределами доступных строк в новом формате.";
        this["LE_Serialization_NoPrimaryCategoryAxis"] = "The chart type '{0}' requires a primary category axis. Add a primary category axis to the chart's AxisCollection.";
        this["LE_Serialization_NoPrimaryValueAxis"] = "The chart type '{0}' requires a primary value axis. Add a primary value axis to the chart's AxisCollection.";
        this["LE_Series_ChartType_InvalidForComboChart"] = "The chart type '{0}' is not valid for use within a combo chart.";
        this["LE_Series_ChartType_NonCombo"] = "The chart type for this series is determined by the parent chart's type ('{0}'), and cannot be set. Set the parent chart's ChartType property to '{1}' instead.";
        this["LE_Series_Explosion_OutOfRange"] = "The Explosion property supports values in the range of 0 to 400, inclusive.";
        this["LE_Series_InvalidAxisGroup"] = "The AxisGroup property cannot be set to '{0}' because a series of type '{1}' exists on the same axis, which cannot share the same axis as a series of type '{2}'.";
        this["LE_Series_InvalidSeriesTypeForComboChart"] = "A series of type '{0}' cannot be used in a combo chart.";
        this["LE_Series_NoPrimaryAxis"] = "At least one series must be plotted on the primary axis. Change the AxisGroup property to 'Primary' for at least one Series.";
        this["LE_Series_SeriesType_NonCombo"] = "The Type property is only applicable for combo charts, and cannot be set for a chart of type '{0}'.";
        this["LE_SetValue_Formula"] = "Для формул допустим только тип значения '{0}'. Взамен используйте метод SetFormula.";
        this["LE_SetValue_NonNumeric"] = "Для типа значения '{0}' неприменим параметр значения. Используйте перегрузку, принимающую только тип значения.";
        this["LE_SetValue_Numeric"] = "Для типа значения '{0}' должен быть задан параметр значения. Используйте перегрузку, принимающую и значение, и тип значения.";
        this["LE_WorksheetChart_ChartType_ComboChart_From"] = "The ChartType property of a combo chart cannot be changed to '{0}'.";
        this["LE_WorksheetChart_ChartType_ComboChart_To"] = "A chart of type '{0}' cannot be changed to 'Combo'. A new combo chart can be created using the AddChart method, but changing an existing chart to a combo chart is not supported.";
        this["LE_WorksheetChart_ComboChart_NotEnoughSeries"] = "A combo chart requires at least 2 series. Add more items to the chart's SeriesCollection.";
        this["LE_WorksheetChart_MissingRequiredAxis_StockCharts"] = "A '{0}' chart requires a primary category axis, a primary value axis, a secondary category axis and a secondary value axis.";
        this["LE_WorksheetChart_NotEnoughSeries"] = "A '{0}' chart requires a minimum of {1} series. To use this chart type you must add more items to the SeriesCollection.";
        this["LE_WorksheetChart_SetComboChartSourceData_InvalidChartTypes"] = "One or more of the specified chart types are not valid for use within a combo chart: {0}";
        this["LE_WorksheetChart_SetComboChartSourceData_NotAComboChart"] = "SetComboChartSourceData cannot be called because the current chart type is '{0}'. Change the ChartType to 'Combo'.";
        this["LE_WorksheetChart_SetComboChartSourceData_SeriesChartTypesNotSupported"] = "The seriesChartTypes parameter must be null for a '{0}' chart.";
        this["LE_WorksheetChart_SetSourceData_NotEnoughSeries"] = "Combo charts require a minimum of 2 series. Change the 'dataRange' parameter to a range which will result in at least 2 series.";
        this["LE_WorksheetChart_SetSourceData_TooManyAxes"] = "The specified combination of chart types require more than the maximum allowable number of axes.";
        this["LE_WorksheetChart_StockChartNotSupported"] = "Editing of the chart type '{0}' is currently not supported.";
        this["LE_WorksheetChart_UnknownChartNotSupported"] = "This chart was loaded from an existing worksheet, but it's ChartType could not be determined. Editing of unknown chart types is currently not supported.";
        this["LER_ArgumentOutOfRangeException_OutlineLevel"] = "Уровень контура должен находиться в диапазоне от 0 до 7.";
        this["LER_Exception_KeyNotFound"] = "Ключ не найден.";
        this["LER_Exception_MergedRegionsOverlap"] = "Области объединенных ячеек не могут перекрываться.";
        this["TableHeaderRowDescription"] = "строка заголовка";
        this["TableInsertRowDescription"] = "строка вставки";
        this["TableTotalsRowDescription"] = "строка итоговых сумм";
        this["Value_UCErrorCode_Div"] = "#DIV/0!";
        this["Value_UCErrorCode_Fail"] = "#FAIL";
        this["Value_UCErrorCode_NA"] = "#N/A";
        this["Value_UCErrorCode_Name"] = "#NAME?";
        this["Value_UCErrorCode_Null"] = "#NULL!";
        this["Value_UCErrorCode_Num"] = "#NUM!";
        this["Value_UCErrorCode_Ok"] = "#OK";
        this["Value_UCErrorCode_Reference"] = "#REF!";
        this["Value_UCErrorCode_Unknown"] = "#N/A";
        this["Value_UCErrorCode_Value"] = "#VALUE!";
        this["WorkbookColorInfo_Automatic_Description"] = "Автоматически";
        this["WorkbookColorInfo_Description"] = "ColorInfo: {0}";
        this["WorkbookColorInfo_WithTint_Description"] = "ColorInfo: {0}, Tint: {1}";
        this["WorksheetShapeSerialization_GroupName"] = "Группа";
        this["WorksheetShapeSerialization_ImageName"] = "Изображение";
        this["WorksheetShapeSerialization_ShapeName"] = "Фигура";
    }
    return ExcelLocaleRu;
}());
export { ExcelLocaleRu };
//# sourceMappingURL=ExcelLocaleRu.js.map